<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<div class="ls-form mt-3">

  <div class="d-flex flex-row">
    <app-search-bar
      class="search-input"
      (debouncedKeyup)="onSearchKeyUp($event)"
      [placeholder]="commonMessages.SEARCH_TENANT">
    </app-search-bar>
  </div>

  <app-double-list
    tintColor="blue"
    [leftColumnHeader]="commonMessages.TENANTS"
    [rightColumnHeader]="messages.LINKED_TENANTS"
    [selectedElements]="user.associatedTenants"
    [retrieveCandidateElementsFn]="requestTenantsFn"
    [stringifyElementFn]="stringifyNamedElementFn"
    #doubleListComponent>
  </app-double-list>

</div>
